var mraa = require('mraa'); //require mraa

var onboardLED = new mraa.Gpio(13); // LED hooked up to digital pin 13

onboardLED.dir(mraa.DIR_OUT); // set the gpio direction to output

exports.turnLEDon = function(cb) {
  cb = arguments[arguments.length-1];
  try {
    onboardLED.write(1);
    cb(null, { status: 'on' });
  }
  catch (e) {
    cb(e);
  }
}

exports.turnLEDoff = function(cb) {
  cb = arguments[arguments.length-1];
  try {
    onboardLED.write(0);
    cb(null, { status: 'off' });
  }
  catch (e) {
    cb(e);
  }
}
