var OS = require('os')

exports.world = function(){
  var callback = arguments[arguments.length-1];
  var custom = OS.hostname()+'.'+process.pid+' in '+process.cwd();
  var ips = [];
  var ifs = OS.networkInterfaces();
  var name, specs, i, spec;
  for (name in ifs) { if (ifs.hasOwnProperty(name)) {
    specs = ifs[name];
    for (i = 0; i < specs.length; i++) {
      spec = specs[i];
      if (!spec.internal) {
        ips.push(spec.address);
      }
    }
  }}
  callback(null, "Hello from "+custom+"! It's "+(new Date).toString()+". Addresses: "+ips.join(', '));
}

exports.arg_required = function(arg1, callback){
  callback(null, "Hello "+arg1+"!");
}

exports.two_args = function(arg1, arg2, callback){
  callback(null, ["Hello there", arg1, arg2]);
}

exports.fail = function(callback){
  callback("Epic fail :(");
}

exports.any_args = function(){
  var args = Array.prototype.slice.call(arguments, 0);
  var callback = args.pop();
  callback(null, { hello: "Hello to everybody!", argc: args.length, argv: args });
}
