require 'socket'

class Hello

  def world
    "Hello from #{Socket.gethostname}.#{Process.pid} in #{Dir.pwd}! It's #{Time.now}. Addresses: "+Socket.ip_address_list.map(&:ip_address).join(", ")
  end

  def arg_required(arg1)
    "Hello #{arg1}!"
  end

  def two_args(arg1, arg2)
    ["Hello there", arg1, arg2]
  end

  def fail
    raise "Epic fail :("
  end

  def any_args(*args)
    { hello: "Hello to everybody!", argc: args.length, argv: args }
  end

end
