Connector = require('./connector')
Crypto = require('./crypto')
Publisher = require('./publisher')


exports.start = (ixApiDir) ->
  Publisher.publishAndFindProxy(ixApiDir)
  .then (data) ->
    Connector.connectToProxy(data)

exports.startHttpProxy = (upstreamUrl) ->
  Publisher.publishHttpAndFindProxy()
  .then (data) ->
    Connector.connectHttpToProxy(upstreamUrl, data)

exports.setKey = (key) ->
  Crypto.setKey(key)
