#!/bin/sh

THIS_DIR=`dirname $0`
TEMPLATES_DIR=${THIS_DIR}/templates
DEST_DIR=/home/root/faas_api

set -x

mkdir ${DEST_DIR}
cp -r ${TEMPLATES_DIR}/faas_demo_apis ${DEST_DIR}

cd ${DEST_DIR}
npm install faas

cp ${TEMPLATES_DIR}/run_faas_api.sh ${DEST_DIR}
cp ${TEMPLATES_DIR}/faas.service /lib/systemd/system
systemctl enable faas
