var http = require('http');
var server = http.createServer(function(req, res){
  if (req.url == '/') {
    res.writeHead(302, { 'Location': 'http://'+req.headers.host+'/redirected' });
    res.end();
  }
  else {
    res.end(req.method+' '+req.url+'\n\n'+JSON.stringify(req.headers)+'\n');
  }
});

server.listen(process.env.PORT, function(){
  console.log('Listening on '+JSON.stringify(server.address()));
});
