package faas.demo;

public class Hello {

  public String world() {
    String hostInfo;
    try {
      hostInfo = java.net.InetAddress.getLocalHost().toString();
    }
    catch  (java.net.UnknownHostException e) {
      e.printStackTrace();
      hostInfo = "ERROR: "+e.toString();
    }
    return "Hello from "+hostInfo+"! It's "+java.text.DateFormat.getDateTimeInstance().format(new java.util.Date());
  }

  public Object argRequired(Object o) {
    return "Hello "+o.toString();
  }

  public Object twoArgs(Object o1, Object o2) {
    return new Object[]{ "Hello there", o1, o2 };
  }

  public Object fail() {
    throw new RuntimeException("Epic fail :(");
  }

  private Object privateTest() {
    return "privateTest";
  }

  public static class InnerClass {
    public static Object hello() {
      return "Hello from InnerClass.";
    }
  }

}
