exports.val = function(){ return 'RETURN_VALUE' }
exports.returnBlank = function(){
  var cb = arguments[arguments.length - 1]
  setTimeout(function(){ cb(null, 'called back') }, 10)
  return
}
exports.noReturn = function(){}
exports.returnUndefined = function(){
  var cb = arguments[arguments.length - 1]
  setTimeout(function(){ cb(null, 'called back') }, 10)
  return void(0)
}

exports.returnNull = function(){
  var cb = arguments[arguments.length - 1]
  setTimeout(function(){ cb(null, 'called back') }, 10)
  return null
}

exports.callbackArgs = function(){
  var args = Array.prototype.slice.call(arguments, 0)
  var cb = args.pop()
  cb(null, args)
}

exports.callbackErrorArgs = function(){
  var args = Array.prototype.slice.call(arguments, 0)
  var cb = args.pop()
  cb('callbackErrorArgs', args)
}

exports.callbackError = function(){
  var cb = arguments[arguments.length - 1]
  cb('callbackError')
}

exports.throwError = function(){
  throw 'thowError'
}

exports.callbackAndReturn = function(){
  var cb = arguments[arguments.length - 1]
  cb(null, 'callbackAndReturn - callback')
  return 'callbackAndReturn - return'
}

exports.lateCallback = function(){
  var cb = arguments[arguments.length - 1]
  setTimeout(function(){ cb(null, 'lateCallback') }, 30000)
}
